#include <stdio.h>
#include <cmath>

using namespace std;
int main() {
    int brojKomsija, mojBroj;
    scanf("%d %d", &brojKomsija, &mojBroj);

    int najmanji, najveci;
    scanf("%d", &najmanji);
    najveci = najmanji;

    for (int i = 1; i < brojKomsija; i++) {
        int brojKomsije;
        scanf("%d", &brojKomsije);

        if (brojKomsije > najveci) {
            najveci = brojKomsije;
        }

        if (brojKomsije < najmanji) {
            najmanji = brojKomsije;
        }
    }

    if (najmanji > mojBroj) {
        najmanji = mojBroj;
    }

    if (najveci < mojBroj) {
        najveci = mojBroj;
    }

    int odLevo = 0, odDesno = 0;

    if (najmanji < mojBroj) {
        odLevo = abs(najmanji - mojBroj);
    }

    if (najveci > mojBroj) {
        odDesno = abs(najveci - mojBroj);
    }

    printf("%d", odLevo + odDesno + ((odLevo < odDesno) ? odLevo : odDesno));
    return 0;
}